WP1StylesListener Class Reference

`#include <WP1StylesListener.h>`

Inheritance diagram for WP1StylesListener:

## Public Member Functions

| WP1StylesListener (std::list< WPXPageSpan > &pageList)
| ~WP1StylesListener () override
void | startDocument () override
void | startSubDocument () override
void | insertCharacter (unsigned) override
void | insertExtendedCharacter (unsigned char) override
void | insertTab () override
void | insertEOL () override
void | insertBreak (unsigned char breakType) override
void | insertNote (WPXNoteType, WP1SubDocument *) override
void | attributeChange (bool, unsigned char) override
void | fontPointSize (unsigned char) override
void | fontId (unsigned short) override
void | marginReset (unsigned short leftMargin, unsigned short rightMargin) override
void | topMarginSet (unsigned short topMargin) override
void | bottomMarginSet (unsigned short bottomMargin) override
void | leftIndent (unsigned short) override
void | leftRightIndent (unsigned short) override
void | leftMarginRelease (unsigned short) override
void | setTabs (const std::vector< WPXTabStop > &) override
void | headerFooterGroup (unsigned char headerFooterDefinition, const std::shared_ptr< WP1SubDocument > &subDocument) override
void | suppressPageCharacteristics (unsigned char suppressCode) override
void | justificationChange (unsigned char) override
void | lineSpacingChange (unsigned char) override
void | flushRightOn () override
void | flushRightOff () override
void | centerOn () override
void | centerOff () override
void | endDocument () override
void | endSubDocument () override
void | insertPicture (unsigned short, unsigned short, const librevenge::RVNGBinaryData &) override
Public Member Functions inherited from WP1Listener
| WP1Listener ()
virtual | ~WP1Listener ()

## Protected Member Functions

void | _handleSubDocument (const WPXSubDocument *subDocument, WPXSubDocumentType subDocumentType, WPXTableList tableList, int nextTableIndice=0)
Protected Member Functions inherited from WPXStylesListener
| WPXStylesListener (std::list< WPXPageSpan > &pageList)
| ~WPXStylesListener () override
Protected Member Functions inherited from WPXListener
| WPXListener (std::list< WPXPageSpan > &pageList)
virtual | ~WPXListener ()
bool | isUndoOn ()
void | setUndoOn (bool isOn)

## Private Attributes

WPXPageSpan | m_currentPage
WPXPageSpan | m_nextPage
double | m_tempMarginLeft
double | m_tempMarginRight
bool | m_currentPageHasContent
bool | m_isSubDocument
std::list< WPXPageSpan >::iterator | m_pageListHardPageMark

## Additional Inherited Members

Protected Attributes inherited from WPXListener
std::list< WPXPageSpan > & | m_pageList

## Constructor & Destructor Documentation

## WP1StylesListener()

WP1StylesListener::WP1StylesListener | ( | std::list< WPXPageSpan > & | pageList | ) |

explicit

## ~WP1StylesListener()

WP1StylesListener::~WP1StylesListener | ( |  | ) |

inline override

## Member Function Documentation

## _handleSubDocument()

void WP1StylesListener::_handleSubDocument | ( | const WPXSubDocument * | subDocument,
|  | WPXSubDocumentType | subDocumentType,
|  | WPXTableList | tableList,
|  | int | nextTableIndice = 0 )

protected

Referenced by headerFooterGroup(), and insertBreak().

## attributeChange()

void WP1StylesListener::attributeChange | ( | bool | ,
|  | unsigned char | )

inline override virtual

Implements WP1Listener.

## bottomMarginSet()

void WP1StylesListener::bottomMarginSet | ( | unsigned short | bottomMargin | ) |

override virtual

Implements WP1Listener.

## centerOff()

void WP1StylesListener::centerOff | ( |  | ) |

inline override virtual

Implements WP1Listener.

## centerOn()

void WP1StylesListener::centerOn | ( |  | ) |

inline override virtual

Implements WP1Listener.

## endDocument()

void WP1StylesListener::endDocument | ( |  | ) |

override virtual

Implements WP1Listener.

## endSubDocument()

void WP1StylesListener::endSubDocument | ( |  | ) |

override virtual

Implements WP1Listener.

Referenced by WP1Parser::parseSubDocument().

## flushRightOff()

void WP1StylesListener::flushRightOff | ( |  | ) |

inline override virtual

Implements WP1Listener.

## flushRightOn()

void WP1StylesListener::flushRightOn | ( |  | ) |

inline override virtual

Implements WP1Listener.

## fontId()

void WP1StylesListener::fontId | ( | unsigned short |  | ) |

inline override virtual

Implements WP1Listener.

## fontPointSize()

void WP1StylesListener::fontPointSize | ( | unsigned char |  | ) |

inline override virtual

Implements WP1Listener.

## headerFooterGroup()

void WP1StylesListener::headerFooterGroup | ( | unsigned char | headerFooterDefinition,
|  | const std::shared_ptr< WP1SubDocument > & | subDocument )

override virtual

Implements WP1Listener.

## insertBreak()

void WP1StylesListener::insertBreak | ( | unsigned char | breakType | ) |

override virtual

Implements WP1Listener.

Referenced by endDocument(), and endSubDocument().

## insertCharacter()

void WP1StylesListener::insertCharacter | ( | unsigned |  | ) |

inline override virtual

Implements WP1Listener.

## insertEOL()

void WP1StylesListener::insertEOL | ( |  | ) |

inline override virtual

Implements WP1Listener.

## insertExtendedCharacter()

void WP1StylesListener::insertExtendedCharacter | ( | unsigned char |  | ) |

inline override virtual

Implements WP1Listener.

## insertNote()

void WP1StylesListener::insertNote | ( | WPXNoteType | ,
|  | WP1SubDocument * | )

inline override virtual

Implements WP1Listener.

## insertPicture()

void WP1StylesListener::insertPicture | ( | unsigned short | ,
|  | unsigned short | ,
|  | const librevenge::RVNGBinaryData & | )

inline override virtual

Implements WP1Listener.

## insertTab()

void WP1StylesListener::insertTab | ( |  | ) |

inline override virtual

Implements WP1Listener.

## justificationChange()

void WP1StylesListener::justificationChange | ( | unsigned char |  | ) |

inline override virtual

Implements WP1Listener.

## leftIndent()

void WP1StylesListener::leftIndent | ( | unsigned short |  | ) |

inline override virtual

Implements WP1Listener.

## leftMarginRelease()

void WP1StylesListener::leftMarginRelease | ( | unsigned short |  | ) |

inline override virtual

Implements WP1Listener.

## leftRightIndent()

void WP1StylesListener::leftRightIndent | ( | unsigned short |  | ) |

inline override virtual

Implements WP1Listener.

## lineSpacingChange()

void WP1StylesListener::lineSpacingChange | ( | unsigned char |  | ) |

inline override virtual

Implements WP1Listener.

## marginReset()

void WP1StylesListener::marginReset | ( | unsigned short | leftMargin,
|  | unsigned short | rightMargin )

override virtual

Implements WP1Listener.

## setTabs()

void WP1StylesListener::setTabs | ( | const std::vector< WPXTabStop > & |  | ) |

inline override virtual

Implements WP1Listener.

## startDocument()

void WP1StylesListener::startDocument | ( |  | ) |

inline override virtual

Implements WP1Listener.

## startSubDocument()

void WP1StylesListener::startSubDocument | ( |  | ) |

inline override virtual

Implements WP1Listener.

Referenced by WP1Parser::parseSubDocument().

## suppressPageCharacteristics()

void WP1StylesListener::suppressPageCharacteristics | ( | unsigned char | suppressCode | ) |

override virtual

Implements WP1Listener.

## topMarginSet()

void WP1StylesListener::topMarginSet | ( | unsigned short | topMargin | ) |

override virtual

Implements WP1Listener.

## Member Data Documentation

## m_currentPage

WPXPageSpan WP1StylesListener::m_currentPage

private

Referenced by bottomMarginSet(), headerFooterGroup(), insertBreak(), marginReset(), suppressPageCharacteristics(), topMarginSet(), and WP1StylesListener().

## m_currentPageHasContent

bool WP1StylesListener::m_currentPageHasContent

private

Referenced by _handleSubDocument(), headerFooterGroup(), insertBreak(), insertCharacter(), insertEOL(), insertExtendedCharacter(), insertTab(), leftIndent(), leftRightIndent(), marginReset(), and WP1StylesListener().

## m_isSubDocument

bool WP1StylesListener::m_isSubDocument

private

Referenced by _handleSubDocument(), insertBreak(), marginReset(), and WP1StylesListener().

## m_nextPage

WPXPageSpan WP1StylesListener::m_nextPage

private

Referenced by headerFooterGroup(), insertBreak(), and WP1StylesListener().

## m_pageListHardPageMark

std::list<WPXPageSpan>::iterator WP1StylesListener::m_pageListHardPageMark

private

Referenced by insertBreak(), marginReset(), and WP1StylesListener().

## m_tempMarginLeft

double WP1StylesListener::m_tempMarginLeft

private

Referenced by insertBreak(), marginReset(), and WP1StylesListener().

## m_tempMarginRight

double WP1StylesListener::m_tempMarginRight

private

Referenced by insertBreak(), marginReset(), and WP1StylesListener().

The documentation for this class was generated from the following files:

- WP1StylesListener.h
- WP1StylesListener.cpp